Create an identity provider
curl --request POST \
--url https://api.swarmd.ai/tenant-auth/v1/identity-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailDomains": [
"<string>"
],
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"displayName": "<string>",
"groupMappings": {}
}
'import requests
url = "https://api.swarmd.ai/tenant-auth/v1/identity-providers"
payload = {
"emailDomains": ["<string>"],
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"displayName": "<string>",
"groupMappings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailDomains: ['<string>'],
config: {type: '<string>', clientId: '<string>', clientSecret: '<string>'},
displayName: '<string>',
groupMappings: {}
})
};
fetch('https://api.swarmd.ai/tenant-auth/v1/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"displayName": "<string>",
"enabled": true,
"config": {
"type": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"groupMappings": {},
"emailDomains": [
{
"domain": "<string>",
"expectedTxtRecordName": "<string>",
"expectedTxtRecordValue": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastCheckError": "<string>"
}
],
"redirectUri": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Identity Providers
Create an identity provider
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | IDENTITY_PROVIDERS | WRITE | IDENTITY_PROVIDERS:WRITE |
POST
/
tenant-auth
/
v1
/
identity-providers
Create an identity provider
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Body
application/json
Response
201 - */*
Created
Available options:
MICROSOFT_ENTRA, GOOGLE_WORKSPACE, OKTA - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
